VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "VB6 Simple PDFChart DLL Test"
   ClientHeight    =   2010
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   3465
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2010
   ScaleWidth      =   3465
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command4 
      Caption         =   "Line Chart"
      Height          =   375
      Left            =   1920
      TabIndex        =   4
      Top             =   1440
      Width           =   1335
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Area Chart"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1440
      Width           =   1335
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Pie Chart"
      Height          =   375
      Left            =   1920
      TabIndex        =   1
      Top             =   840
      Width           =   1335
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Bar Chart"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   840
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Click a button to make an example chart:"
      Height          =   375
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Width           =   2895
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function MessageBox Lib "user32" Alias "MessageBoxA" _
        (ByVal hwnd As Long, ByVal lpText As String, _
        ByVal lpCaption As String, ByVal wType As Long) As Long


Private Sub Command1_Click()
    Dim result As Long
    Dim errorText As String
    Dim errorDLL(300) As Byte

    PDFC_Chart CHART_BAR_HORIZONTAL
    
    PDFC_Page 600, 400, 0.8, 0.8, 1#   ' #ccccff

    PDFC_BarDatum "1950", 2556
    PDFC_BarDatum "1960", 3040
    PDFC_BarDatum "1970", 3707
    PDFC_BarDatum "1980", 4454
    PDFC_BarDatum "1990", 5277
    PDFC_BarDatum "2000", 6073

    PDFC_ChartHeading VERTICAL_ALIGNMENT_TOP, HORIZONTAL_ALIGNMENT_CENTER
    PDFC_HeadingTitle 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0           ' #3333ff
    PDFC_HeadingSubTitle 12, FONT_ID_TIMES_BOLDITALIC, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0  ' #3333ff
    PDFC_ChartBackground 0.5, 0.5, 0.5, 1#, 1#, 1#    ' #808080 #ffffff

    PDFC_DecimalPoints 0

    PDFC_AxesCaptionX 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0, HORIZONTAL_ALIGNMENT_CENTER, "World Population (Millions)"  ' #3333ff
    PDFC_AxesCaptionY 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0, VERTICAL_ALIGNMENT_MIDDLE, "Year"                           ' #3333ff

    PDFC_AxesLabelX 12, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0  ' #3333ff
    PDFC_AxesLabelY 12, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0  ' #3333ff

    PDFC_AxesLine 1#, 0#, 0#, 0#, AXES_LINE_FULL
    PDFC_AxesGridLine 1#, 0#, 0#, 0#

    PDFC_AxesDivisions 9
    PDFC_AxesScale AXES_SCALE_RANGE, 2000, 6500

    PDFC_AxesGridLineStyle 7, 7, 4

    PDFC_BarBorder 1#, 0#, 0#, 0#
    PDFC_BarColor 0#, 0.8, 0#, 0.6, 1#, 1#     ' #00cc00 #99ffff
    PDFC_BarSpacing 7

    PDFC_BarLabel LABEL_AT_AXES_AND_END, ""

    PDFC_SetTitle "Example Horizontal Bar Chart produced by the PDF Chart Creator from Utility Warrior"
    PDFC_SetSubject "For more information please visit http://www.UtilityWarrior.com/PDF-Chart-Creator.htm"
    
    result = PDFC_MakePDF("BarChart.pdf", OPTION_OPEN_PDF + OPTION_RESET, VarPtr(errorDLL(0)), UBound(errorDLL))
    If (result > 0) Then
        errorText = StrConv(errorDLL, vbUnicode)
        If (result = 1) Then
            MessageBox 0, "PDFC_MakePDF returned error " + errorText, "Error", 0
        Else
            MessageBox 0, "PDFC_MakePDF returned error code " + CStr(result), "Error", 0
        End If
        Exit Sub
    End If
End Sub

Private Sub Command2_Click()
    Dim result As Long
    Dim errorText As String
    Dim errorDLL(300) As Byte

    PDFC_Chart CHART_PIE_2D
    
    PDFC_Page 600, 400, 0.8, 0.8, 1#   ' #ccccff
    
    PDFC_PieDatum "Banana", 9
    PDFC_PieDatum "Apple", 8
    PDFC_PieDatum "Pear", 7
    PDFC_PieDatum "Strawberry", 6
    PDFC_PieDatum "Lychee", 5
    PDFC_PieDatum "Apricot", 4
    PDFC_PieDatum "Blackberry", 3
    PDFC_PieDatum "Blueberry", 2
    PDFC_PieDatum "Grape", 1

    PDFC_ChartHeading VERTICAL_ALIGNMENT_TOP, HORIZONTAL_ALIGNMENT_CENTER
    PDFC_HeadingTitle 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0           ' #3333ff
    PDFC_HeadingSubTitle 12, FONT_ID_TIMES_BOLDITALIC, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0  ' #3333ff
    PDFC_ChartBackground 0.5, 0.5, 0.5, 1#, 1#, 1#    ' #808080 #ffffff

    PDFC_PieColor 1#, 1#, 0#       ' #ffff00
    PDFC_PieColor 0#, 1#, 0#       ' #00ff00
    PDFC_PieColor 0.8, 0.6, 0#     ' #cc9900
    PDFC_PieColor 1#, 0#, 0#       ' #ff0000
    PDFC_PieColor 0.87, 0.6, 0.6   ' #dd9999
    PDFC_PieColor 1#, 0.73, 0#     ' #ffbb00
    PDFC_PieColor 0.27, 0.27, 0.27 ' #444444
    PDFC_PieColor 0#, 0#, 0.8      ' #0000cc
    PDFC_PieColor 0.87, 0#, 1#     ' #dd00ff
    
    PDFC_PieOutline 1#, 1#, 1#, 1# ' #ffffff
    PDFC_PiePageMargin 5#
    PDFC_PieLabel LABEL_OUTSIDE, "VVVV", 12, FONT_ID_TIMES_BOLD, 0#, 0#, 0#, TEXT_STYLE_NORMAL, 0, 0, 0
    PDFC_Legend LEGEND_RIGHT, "VVVV - TTTT", 1#, 1#, 1#, 2#, 0.4, 0.4, 1#, 12, FONT_ID_TIMES_BOLD, 0#, 0#, 0#, TEXT_STYLE_NORMAL, 0, 0, 0         ' #ffffff #6666ff

    PDFC_SetTitle "Example Pie Chart produced by the PDF Chart Creator from Utility Warrior"
    PDFC_SetSubject "For more information please visit http://www.UtilityWarrior.com/PDF-Chart-Creator.htm"
    
    result = PDFC_MakePDF("PieChart.pdf", OPTION_OPEN_PDF + OPTION_RESET, VarPtr(errorDLL(0)), UBound(errorDLL))
    If (result > 0) Then
        errorText = StrConv(errorDLL, vbUnicode)
        If (result = 1) Then
            MessageBox 0, "PDFC_MakePDF returned error " + errorText, "Error", 0
        Else
            MessageBox 0, "PDFC_MakePDF returned error code " + CStr(result), "Error", 0
        End If
        Exit Sub
    End If
End Sub

Private Sub Command3_Click()
    Dim result As Long
    Dim errorText As String
    Dim errorDLL(300) As Byte

    PDFC_Chart CHART_AREA_CURVED
    PDFC_Page 600, 400, 0.8, 0.8, 1#   ' #ccccff

    PDFC_AreaDatum "01", 30.47
    PDFC_AreaDatum "02", 30.39
    PDFC_AreaDatum "03", 30.56
    PDFC_AreaDatum "04", 30.12
    PDFC_AreaDatum "05", 29.02
    PDFC_AreaDatum "06", 28.61
    PDFC_AreaDatum "07", 28.55
    PDFC_AreaDatum "08", 27.87
    PDFC_AreaDatum "09", 28.02
    PDFC_AreaDatum "10", 27.33
    PDFC_AreaDatum "11", 27.28
    PDFC_AreaDatum "12", 27.76
    PDFC_AreaDatum "13", 28.9
    PDFC_AreaDatum "14", 28.74
    PDFC_AreaDatum "15", 28.98
    PDFC_AreaDatum "16", 30.19
    PDFC_AreaDatum "17", 30.6
    PDFC_AreaDatum "18", 31.11
    PDFC_AreaDatum "19", 31.21
    PDFC_AreaDatum "20", 29.64
    PDFC_AreaDatum "21", 29.86
    PDFC_AreaDatum "22", 29.64
    PDFC_AreaDatum "23", 30.19
    PDFC_AreaDatum "24", 29.4
    PDFC_AreaDatum "25", 29.12
    PDFC_AreaDatum "26", 29.76
    PDFC_AreaDatum "27", 29.4
    PDFC_AreaDatum "28", 29.24
    PDFC_AreaDatum "29", 28.73
    PDFC_AreaDatum "30", 28.34
    PDFC_AreaDatum "31", 28.43
    PDFC_AreaDatum "32", 28.37
    PDFC_AreaDatum "33", 27.87
    PDFC_AreaDatum "34", 27.35
    PDFC_AreaDatum "35", 26.66
    PDFC_AreaDatum "36", 26.85
    PDFC_AreaDatum "37", 25.6
    PDFC_AreaDatum "38", 25.84
    PDFC_AreaDatum "39", 25.85
    PDFC_AreaDatum "40", 25.79
    PDFC_AreaDatum "41", 24.43
    PDFC_AreaDatum "42", 24.29
    PDFC_AreaDatum "43", 24.25
    PDFC_AreaDatum "44", 23.87
    PDFC_AreaDatum "45", 22.29
    PDFC_AreaDatum "46", 23.3
    PDFC_AreaDatum "47", 23.3
    PDFC_AreaDatum "48", 22.5
    PDFC_AreaDatum "49", 22.1
    PDFC_AreaDatum "50", 21.92
    PDFC_AreaDatum "51", 22.76
    PDFC_AreaDatum "52", 23.72

    PDFC_DecimalPoints 0

    PDFC_AxesCaptionX 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0, HORIZONTAL_ALIGNMENT_CENTER, "Week"       ' #3333ff
    PDFC_AxesCaptionY 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0, VERTICAL_ALIGNMENT_MIDDLE, "Stock Price"  ' #3333ff

    PDFC_AxesLabelX 12, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0 ' #3333ff
    PDFC_AxesLabelY 12, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0 ' #3333ff

    PDFC_AxesLine 1#, 0#, 0#, 0#, AXES_LINE_FULL
    PDFC_AxesGridLine 1#, 0#, 0#, 0#

    PDFC_AxesDivisions 9
    PDFC_AxesScale AXES_SCALE_RANGE, 21, 32

    PDFC_AxesGridLineStyle 7, 7, 4

    PDFC_AxesLabelSpacing 2

    PDFC_Area 0.6, 0.2, 0#, 2#, 0.8, 0.6, 0#    ' #993300 #cc9900

    PDFC_MovingAverageLine 4, 1#, 0#, 0#, 2#    ' ff0000
    ' don't show line point marker for smoothed lines
    ' PDFC_MovingAverageLineMarker LINE_POINT_STYLE_OUTLINE_CIRCLE, 0.6, 0#, 0#, 7#, 2#     ' #990000

    PDFC_ChartHeading VERTICAL_ALIGNMENT_TOP, HORIZONTAL_ALIGNMENT_CENTER
    PDFC_HeadingTitle 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0           ' #3333ff
    PDFC_HeadingSubTitle 12, FONT_ID_TIMES_BOLDITALIC, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0  ' #3333ff
    PDFC_ChartBackground 1#, 1#, 0#, 1#, 1#, 0.6      ' #ffff00 #ffff99

    PDFC_SetTitle "Example Area Chart produced by the PDF Chart Creator from Utility Warrior"
    PDFC_SetSubject "For more information please visit http://www.UtilityWarrior.com/PDF-Chart-Creator.htm"

    result = PDFC_MakePDF("AreaChart.pdf", OPTION_OPEN_PDF + OPTION_RESET, VarPtr(errorDLL(0)), UBound(errorDLL))
    If (result > 0) Then
        errorText = StrConv(errorDLL, vbUnicode)
        If (result = 1) Then
            MessageBox 0, "PDFC_MakePDF returned error " + errorText, "Error", 0
        Else
            MessageBox 0, "PDFC_MakePDF returned error code " + CStr(result), "Error", 0
        End If
        Exit Sub
    End If
End Sub

Private Sub Command4_Click()
    Dim result As Long
    Dim errorText As String
    Dim errorDLL(300) As Byte

    PDFC_Chart CHART_LINE_STEPPED
    PDFC_Page 600, 400, 0.8, 0.8, 1#   ' #ccccff

    PDFC_LineDatum "01", 26.47
    PDFC_LineDatum "02", 26.19
    PDFC_LineDatum "03", 25.56
    PDFC_LineDatum "04", 25.12
    PDFC_LineDatum "05", 26.02
    PDFC_LineDatum "06", 26.61
    PDFC_LineDatum "07", 26.55
    PDFC_LineDatum "08", 26.87
    PDFC_LineDatum "09", 27.02
    PDFC_LineDatum "10", 27.33
    PDFC_LineDatum "11", 27.28
    PDFC_LineDatum "12", 27.76
    PDFC_LineDatum "13", 28.9
    PDFC_LineDatum "14", 28.74
    PDFC_LineDatum "15", 28.98
    PDFC_LineDatum "16", 30.19
    PDFC_LineDatum "17", 30.6
    PDFC_LineDatum "18", 31.11
    PDFC_LineDatum "19", 31.21
    PDFC_LineDatum "20", 29.64
    PDFC_LineDatum "21", 29.86
    PDFC_LineDatum "22", 29.64
    PDFC_LineDatum "23", 30.19
    PDFC_LineDatum "24", 30.4
    PDFC_LineDatum "25", 31.12
    PDFC_LineDatum "26", 31.76
    PDFC_LineDatum "27", 31.4
    PDFC_LineDatum "28", 32.24
    PDFC_LineDatum "29", 32.73
    PDFC_LineDatum "30", 33.34

    PDFC_DecimalPoints 0

    PDFC_AxesCaptionX 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0, HORIZONTAL_ALIGNMENT_CENTER, "Week"       ' #3333ff
    PDFC_AxesCaptionY 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0, VERTICAL_ALIGNMENT_MIDDLE, "Stock Price"  ' #3333ff

    PDFC_AxesLabelX 12, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0 ' #3333ff
    PDFC_AxesLabelY 12, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0 ' #3333ff

    PDFC_AxesLine 1#, 0#, 0#, 0#, AXES_LINE_FULL
    PDFC_AxesGridLine 1#, 0#, 0#, 0#

    PDFC_AxesDivisions 9
    PDFC_AxesScale AXES_SCALE_RANGE, 25, 34

    PDFC_AxesGridLineStyle 7, 7, 4

    PDFC_AxesLabelSpacing 2
    
    PDFC_Line 0#, 0#, 1#, 1#     ' #000000
    PDFC_LineMarker 0#, 0#, 0.8, 7#, LINE_POINT_STYLE_CROSS, 2#     ' #0000cc

    PDFC_LineOfBestFit 0.8, 0#, 0#, 2#    ' #cc0000

    PDFC_ChartHeading VERTICAL_ALIGNMENT_TOP, HORIZONTAL_ALIGNMENT_CENTER
    PDFC_HeadingTitle 14, FONT_ID_TIMES_BOLD, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0           ' #3333ff
    PDFC_HeadingSubTitle 12, FONT_ID_TIMES_BOLDITALIC, 0.2, 0.2, 1#, TEXT_STYLE_NORMAL, 0, 0, 0  ' #3333ff
    PDFC_ChartBackground 1#, 1#, 0#, 1#, 1#, 0.6      ' #ffff00 #ffff99

    PDFC_SetTitle "Example Line Chart produced by the PDF Chart Creator from Utility Warrior"
    PDFC_SetSubject "For more information please visit http://www.UtilityWarrior.com/PDF-Chart-Creator.htm"

    result = PDFC_MakePDF("LineChart.pdf", OPTION_OPEN_PDF + OPTION_RESET, VarPtr(errorDLL(0)), UBound(errorDLL))
    If (result > 0) Then
        errorText = StrConv(errorDLL, vbUnicode)
        If (result = 1) Then
            MessageBox 0, "PDFC_MakePDF returned error " + errorText, "Error", 0
        Else
            MessageBox 0, "PDFC_MakePDF returned error code " + CStr(result), "Error", 0
        End If
        Exit Sub
    End If
End Sub
